pandas (2.2.3+dfsg-4) unstable; urgency=medium

  * Re-enable docs using a different theme (workaround for #1084781).
  * Re-add dropped build-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Oct 2024 10:18:43 +0100

pandas (2.2.3+dfsg-3) unstable; urgency=medium

  * Ignore docs build fail (workaround for #1084781) and print log.
  * Docs: remove old pydata-sphinx-theme workarounds.
  * Temporarily drop some build-depends to break bootstrap cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Oct 2024 22:14:45 +0100

pandas (2.2.3+dfsg-2) unstable; urgency=medium

  * Move pyreadstat to Build-Depends-Indep to break cycle.
  * Allow building on ports without full test-Depends.
  * Re-enable sqlalchemy tests.
  * Stop using pkg_resources. (Closes: #1083523)
  * Tests: stop passing non-constant pytz.timezone
    directly to datetime.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Oct 2024 16:40:59 +0100

pandas (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1082096)
  * Update contributors, refresh patches.
  * Tests: keep 32-bit intervaltree xfailed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 17:21:40 +0100

pandas (2.2.2+dfsg-4) unstable; urgency=medium

  * Tests: re-enable bottleneck and tabulate (see #1070359, #1070360),
    make blosc xfail nonstrict, use pyproject.toml in autopkgtest,
    run autopkgtest in CI, be less verbose to fit in the CI log.
  * Add transition Breaks.
  * Upload to unstable. (Closes: #1069792)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Jul 2024 19:36:37 +0100

pandas (2.2.2+dfsg-3) experimental; urgency=medium

  * Tests: add forgotten import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 14:47:52 +0100

pandas (2.2.2+dfsg-2) experimental; urgency=medium

  * Allow importing pandas._testing without pytest.
  * Tests: don't require 32-bit to imply time32.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 11:29:54 +0100

pandas (2.2.2+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, depends.
  * Upload to experimental, due to potential breakage (see #1069792).
  * Tests: use our test data path, skip too-old dependencies,
    mark some tests as requiring optional dependencies,
    remove no longer needed patches, clean up afterwards.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 05 May 2024 14:40:45 +0100

pandas (2.1.4+dfsg-8) unstable; urgency=medium

  * Re-enable the documentation.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 13:50:13 +0100

pandas (2.1.4+dfsg-7) unstable; urgency=medium

  * Tests: don't require 32-bit to imply time32. (Closes: #1068104)
  * Temporarily disable the documentation (workaround for #1068349).
  * Tests: temporarily ignore dask tests (workaround for #1068422).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 05 Apr 2024 22:44:46 +0100

pandas (2.1.4+dfsg-6) unstable; urgency=medium

  * Tests: try again to stop testing __pycache__. (Closes: #1063959)
  * Tests: avoid FutureWarning from newer xarray. (Closes: #1066801)
  * Drop pytables test-depends (skipping tests) on architectures
    where it is not available. (Closes: #1064384)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Mar 2024 17:11:33 +0000

pandas (2.1.4+dfsg-5) unstable; urgency=medium

  * Tests: stop trying to test __pycache__. (Closes: #1063959)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Feb 2024 20:31:18 +0000

pandas (2.1.4+dfsg-4) unstable; urgency=medium

  * Tests: shorten ignoredtests to avoid timeout.
  * Temporarily skip numba tests (workaround for #1033907).
  * Update transition Breaks.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 09 Feb 2024 20:48:14 +0000

pandas (2.1.4+dfsg-3) unstable; urgency=medium

  * Add more transition Breaks (see #1043240).
  * Upload to unstable. (Closes: #1056828)
  * Tests: don't fail when (random) sum test input sums to near-0,
    use our paths, depend on pytest-localserver, skip broken test.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 01 Feb 2024 07:52:49 +0000

pandas (2.1.4+dfsg-2) experimental; urgency=medium

  * Fix autopkgtest syntax error.
  * Add more transition Breaks.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.
  * Tests: be compatible with current blosc2. (Closes: #1061043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 18:44:54 +0000

pandas (2.1.4+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Add transition Breaks.
  * Temporarily disable style.ipynb (workaround for #1057309).
  * Tests: ignore some DeprecationWarnings and pytables exceptions
    to allow building in Python 3.12 (see #1055801).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Dec 2023 22:06:00 +0000

pandas (2.1.3+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Re-enable numexpr for **, as upstream have decided to accept
    its different overflow behaviour.
  * Tests: fix autopkgtest syntax errors.
  * Allow building on ports without pyreadstat or matplotlib.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 12 Nov 2023 21:53:27 +0000

pandas (2.1.1+dfsg-2) experimental; urgency=medium

  * Tests: don't fail when xlsxwriter is not installed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 13 Oct 2023 19:43:13 +0100

pandas (2.1.1+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Don't test-depend on tabulate, because our version is too old.
  * Extend find_test_data to cover a new fixture.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Oct 2023 07:40:12 +0100

pandas (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, dependencies.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*,
    ignore warnings on Itanium,
    run with fixed locale set, skip not fail without matplotlib.
  * Docs: fix bug in previous reproducibility patch.
  * d/watch: Use git, as the tarball now excludes docs and test data.
  * Don't crash in setup.py clean.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 03 Sep 2023 22:06:46 +0100

pandas (2.0.3+dfsg-6) experimental; urgency=medium

  * Tests: try again to ignore NaN warnings on mips*.
  * Build on ports without sqlalchemy or working matplotlib.
  * Reproducibility: strip object addresses,
    disable some timestamps and random IDs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Aug 2023 11:17:44 +0100

pandas (2.0.3+dfsg-5) experimental; urgency=medium

  * Fix SAS I/O crash on armhf.
  * Clean up after documentation build.
  * Tests: ignore NaN warnings and 1**NaN, NaN**0 NaNs on mips*.
  * Docs: use fixed seeds for reproducibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Aug 2023 21:26:09 +0100

pandas (2.0.3+dfsg-4) experimental; urgency=medium

  * Ignore numba errors on most non-x86 systems (workaround
    for #1033907).  This already warns the user.
  * Run but ignore some previously skipped tests.
  * Tests: revert "don't use : in numexpr variable names"
    as that wasn't actually the problem.
  * Tests: ignore another non-warning on armel.
  * Fix spelling.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Aug 2023 09:26:03 +0100

pandas (2.0.3+dfsg-3) experimental; urgency=medium

  * Don't use numexpr for **, as it has different overflow behaviour.
  * Tests: don't use : in numexpr variable names.
  * Fix missing import on arm*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 17 Aug 2023 19:51:45 +0100

pandas (2.0.3+dfsg-2) experimental; urgency=medium

  * Clean up after tests.
  * Don't build in bare C locale.
  * Docs: make more plots reproducible.
  * Remove the warning that results may be wrong on mips*,
    as this appears to have been fixed.
  * Tests: don't fail on warnings we added.
  * Remove unnecessary HDF/Stata I/O warnings.
  * Depend on system tzdata not PyPI tzdata (see #1043968).
    Use tzdata-legacy where old-style timezone names are used.
  * Tests: re-enable dask tests (see #1043093).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Aug 2023 21:55:15 +0100

pandas (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, update dependencies.
  * Upload to experimental, due to potential breakage.
  * Add dask Breaks and disable tests (see #1043093).
  * Tests: re-enable numba tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Aug 2023 11:02:39 +0100

pandas (1.5.3+dfsg-4) unstable; urgency=medium

  * Docs: allow building with Sphinx 7.  (Closes: #1042672)
  * Remove unused python3-six dependencies.  (Closes: #1039441)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 30 Jul 2023 22:34:06 +0100

pandas (1.5.3+dfsg-3) unstable; urgency=medium

  * Tests: don't fail with fsspec 2023.  (Closes: #1042043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Jul 2023 07:57:11 +0100

pandas (1.5.3+dfsg-2) unstable; urgency=medium

  * Tests: use a non-backzone timezone.  (Closes: #1031437)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 19 Feb 2023 11:01:48 +0000

pandas (1.5.3+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update copyright and patches.
  * Tests: ignore plot rounding errors.  (Closes: #1029251)
  * Tests: re-enable dask test, ignore numpy 1.24 warning.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 22 Jan 2023 11:54:30 +0000

pandas (1.5.2+dfsg-6) unstable; urgency=medium

  * Move xarray to Build-Depends-Indep to break circular dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 07:34:28 +0000

pandas (1.5.2+dfsg-5) unstable; urgency=medium

  * Fix or ignore warnings from numpy 1.24.
  * Stop ignoring tests on mips*, thanks to Adrian Bunk.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 10 Jan 2023 20:48:34 +0000

pandas (1.5.2+dfsg-4) unstable; urgency=medium

  * Add dask transition Breaks (see #1025393).
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.
  * Upload to unstable.  (Closes: #1023965, #1022571)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 09 Jan 2023 19:45:45 +0000

pandas (1.5.2+dfsg-3) experimental; urgency=medium

  * Tests: ignore a numpy warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 07 Jan 2023 10:09:11 +0000

pandas (1.5.2+dfsg-2) experimental; urgency=medium

  * Fix date_range overflow in 32-bit.  (Closes: #1026351)
  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027576)
  * Re-enable parso-using tests (as #1023896 has been fixed).
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 06 Jan 2023 21:36:03 +0000

pandas (1.5.2+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Fix Lintian typo.
  * Xfail parso-using tests (workaround for #1023896).
  * Temporarily drop numba test-depends (skips tests),
    as it is uninstallable due to #1024795.
  * Add transition Breaks (see #1022571).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:48:47 +0000

pandas (1.3.5+dfsg-6) unstable; urgency=medium

  * Team upload
  * Ignore test failures for first build with Python 3.11,
    see #1023965

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 10:36:51 +0000

pandas (1.5.1+dfsg-3) experimental; urgency=medium

  * Revert minimum Cython version.
  * Tests: fix another little-endian assumption.
  * Silence some Lintian messages.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 10 Nov 2022 21:36:53 +0000

pandas (1.5.1+dfsg-2) experimental; urgency=medium

  * Tests: xfail rolling.var/std rounding error on i386,
    don't assume little-endian,
    re-disable some SQL tests our setup blocks.
  * Temporarily lower minimum Cython version (see LP#1995992).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 09 Nov 2022 21:17:44 +0000

pandas (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Include more of the optional test-depends, for more test coverage.
  * Update minimum dependency versions.
  * Docs: update Sphinx extension dependencies,
    use pydata theme but disable analytics (for privacy) and
    features requiring dependencies we don't have.
  * Tests: use the upstream mechanism to skip non-CI-friendly
    (e.g. excessively resource-heavy) tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 07 Nov 2022 21:02:49 +0000

pandas (1.4.3+dfsg-6) experimental; urgency=medium

  * Fix NaT bug introduced by previous patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 24 Aug 2022 22:01:26 +0100

pandas (1.4.3+dfsg-5) experimental; urgency=medium

  * Fix bounds checking in float-to-datetime conversion.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Aug 2022 22:24:15 +0100

pandas (1.4.3+dfsg-4) experimental; urgency=medium

  * Tests: skip another s390x numba issue, new riscv64 date error test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 22 Aug 2022 22:25:08 +0100

pandas (1.4.3+dfsg-3) experimental; urgency=medium

  * Don't warn on non-x86 NaN->datetime cast,
    as this has been fixed in numpy (#877754).
  * Tests: fix architecture detection, skip another s390x numba crash,
    extend hurd_compat.patch, more output around riscv64 date errors.
  * Add transition Breaks (see #1017809).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Aug 2022 18:13:03 +0100

pandas (1.4.3+dfsg-2) experimental; urgency=medium

  * Tests: don't assume little-endian,
    don't try to cast pytz version to float,
    ignore a missing numpy warning on armel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Aug 2022 10:32:58 +0100

pandas (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Upload to experimental, due to potential breakage.
  * Remove xlwt Recommends.
  * Update build/test-Depends.
  * Re-enable numba (see #1000336).
  * Update README.source.
  * Update Lintian override format (see #1007002).
  * Tests: add a searchable failure message to crashes/errors,
    be less verbose so the log fits in the Salsa CI size limit,
    remove a now-useless xlrd test, xfail some tests on 32-bit.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Show the numba non-x86 warning on more (all?) numba uses.
  * Drop stable_test_urls.patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 27 Jul 2022 22:17:33 +0100

pandas (1.3.5+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with Sphinx 5.  (Closes: #1013375)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 26 Jun 2022 15:06:07 +0100

pandas (1.3.5+dfsg-4) unstable; urgency=medium

  * Temporarily skip numba tests.  (Closes: #1008179)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Mar 2022 20:57:26 +0000

pandas (1.3.5+dfsg-3) unstable; urgency=medium

  * Tests: be compatible with new fsspec.  (Closes: #1006170)
  * Re-enable numba tests.
  * Fix pyversions call.
  * Enable Salsa CI.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Feb 2022 07:35:51 +0000

pandas (1.3.5+dfsg-2) unstable; urgency=medium

  * Temporarily skip numba tests (see LP#1951814).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 28 Jan 2022 19:22:53 +0000

pandas (1.3.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Refresh patches, drop patches no longer needed.
  * d/watch: Ignore RC versions.
  * Docs: Add missing mathjax dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:25:17 +0000

pandas (1.3.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Disable more numba tests on 32bit archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Dec 2021 17:32:54 +0100

pandas (1.3.4+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix an other import in the test patch
  * Add closes bug to old changelog

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 Dec 2021 10:36:56 +0100

pandas (1.3.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix missing import
  * Remove unused salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Nov 2021 23:39:49 +0100

pandas (1.3.4+dfsg-4) unstable; urgency=medium

  * Tests: remove another 64 bit assumption.
  * Warn the user and ignore all tests on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 30 Nov 2021 10:11:08 +0000

pandas (1.3.4+dfsg-3) unstable; urgency=medium

  * Tests: remove some more 64 bit or x86-or-arm64 assumptions.
  * Docs: add missing MathJax.js symlink, remove unused URL replacement.
  * Add transition Breaks (see #999415).
  * Upload to unstable.  (Closes: #999415)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 21:59:11 +0000

pandas (1.3.4+dfsg-2) experimental; urgency=medium

  * Stop ignoring build-time tests.
  * Tests: don't assume 64 bit or x86-or-arm64.
  * Fix #877754 warning.
  * Xfail more numba tests on big-endian systems.
  * Skip test_statsmodels during build to break dependency cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 25 Nov 2021 22:04:47 +0000

pandas (1.3.4+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version (Closes: #1000422)
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse,
    Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python-pandas-doc: Add Multi-Arch: foreign.
  * Remove hidden files and directories that are confusing gbp
  * drop tag definitions from debian/gbp.conf

  [ Rebecca N. Palmer ]
  * Upload to experimental (see #999415).
  * Update contributors_list and d/copyright.
  * Refresh patches, remove no longer needed patches.
  * Update minimum dependency versions.
  * Re-enable xlrd and numba tests (#976620 and #972246 have ben fixed).
  * Temporarily disable failing style.ipynb build.
  * Tests: accept changed error messages, add new dependency,
    skip/xfail tests that our test setup breaks, clean up afterwards.
  * Temporarily ignore build-time tests to get a first build.
  * Be compatible with matplotlib 3.5.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Nov 2021 21:04:26 +0000

pandas (1.1.5+dfsg-2) unstable; urgency=medium

  * Remove dead URL from tests/examples.  (Closes: #979621)
  * Mark autopkgtest needs-internet.
  * Revert "Print uname etc during build".
  * Mark matplotlib nocheck/nodoc and allow building on ports without
    matplotlib or numexpr.  (Closes: #977470)
  * Add python3-tabulate build/test-depends.
  * Add bottleneck and numexpr test-depends.
  * Tests: don't require warnings that jedi no longer produces.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Jan 2021 21:06:04 +0000

pandas (1.1.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Default to openpyxl not xlrd in read_excel, and skip xlrd tests,
    as xlrd fails if defusedxml is installed (#976620).
  * Skip numba tests, and not other rolling.apply tests, on s390x.
    (LP: #1901860)
  * Tests: on 32 bit systems, avoid time input that overflows.
  * Print uname etc during build (test for #973854).
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 07 Dec 2020 23:06:28 +0000

pandas (1.1.4+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Remove numba test-depends (skips tests).  (Closes: #973589)
  * Loosen pandas-lib->pandas Depends versioning.  (Closes: #973289)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 04 Nov 2020 18:36:11 +0000

pandas (1.1.3+dfsg-2) unstable; urgency=medium

  * Tests: re-xfail an intermittent instance of #877419.
  * Remove no longer needed test_statsmodels xfail.
  * Fix invalid test skips.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 22 Oct 2020 07:14:29 +0100

pandas (1.1.3+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Remove outdated README.source,
    add contributors_list update process.
  * Fix invalid test xfail.
  * Re-add mistakenly removed non-x86 test xfails.
  * Declare transition Breaks (see #969650).
  * Skip another test if multiprocessing is not available.
  * Update cython3 Depends.
  * Fix pytables expression bug with Python 3.9.  (Closes: #972015)
  * Allow test_statsmodels to fail on 3.9 to break bootstrap cycle.
  * Upload to unstable.  (Closes: #969650)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Oct 2020 16:22:36 +0100

pandas (1.1.1+dfsg-3) experimental; urgency=medium

  * Remove no longer needed test xfails.
  * Xfail some more non-x86 numba tests and a new instance of #877419.
  * Skip test_register_entrypoint during build.
  * Tests: don't assume little-endian.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Sep 2020 08:01:24 +0100

pandas (1.1.1+dfsg-2) experimental; urgency=medium

  * Unconditionally build-depend on sphinx-common (for dh_sphinxdoc).
  * Re-enable but ignore another potentially crashing non-x86 test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 01 Sep 2020 08:17:32 +0100

pandas (1.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Drop/refresh patches.  Update d/copyright and contributors_list.
  * Re-enable asyncio tests.
  * Skip fsspec tests while it is too old a version.
  * Fix plot test cleanup (upstream bug 35080).
  * Skip test that is expected to fail in our setup.
  * Update minimum dependency versions.
  * Use dh_sphinxdoc.
  * Re-enable but ignore potentially crashing non-x86 tests.
  * Simplify d/rules, mostly by using pybuild more.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 31 Aug 2020 18:44:39 +0100

pandas (1.0.5+dfsg-3) unstable; urgency=medium

  * Remove pytest-asyncio test-depends.
  * Remove numba test-depends on non-x86: at least s390x crashes.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Aug 2020 22:34:50 +0100

pandas (1.0.5+dfsg-2) unstable; urgency=medium

  * Fix missing import and update numba submodule name in patches.
  * Disable asyncio tests (workaround for #969050).
  * Warn that numba may give wrong answers on non-x86,
    and remove test-depends on mipsel.
  * Skip a crashing test on s390x.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Aug 2020 20:19:16 +0100

pandas (1.0.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Fix invalid test xfails.
  * Only Recommend numba on amd64, to reduce the risk of bugs.
  * Don't test-depend on numba on ppc64el (where it crashes, #863511?)
    or on ports architectures (where it mostly isn't available).
  * Remove no longer needed test xfails/skips.
  * Upload to unstable.  (Closes: #950430)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 25 Aug 2020 20:07:50 +0100

pandas (0.25.3+dfsg2-5) unstable; urgency=medium

  * Tests: ignore rounding difference on i386.  (Closes: #968208)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 20:09:14 +0100

pandas (0.25.3+dfsg2-4) unstable; urgency=medium

  * Be compatible with matplotlib 3.3.  (Closes: #966393)
  * Docs: fix broken remote->local Javascript replacement.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Aug 2020 22:11:25 +0100

pandas (0.25.3+dfsg2-3) unstable; urgency=medium

  * Nested DataFrames may raise ValueError with numpy 1.19
    (upstream bug 32289).  Clarify error message and xfail tests.
  * Stop using a no-longer-existing numpy constant.
  * Tests: ignore deprecations/rewordings and avoid setup exception
    with numpy 1.19.  (Together, the above Closes: #963817)
  * Bump debhelper compat to 13.
  * Fix HDFStore.flush (part of #877419) on s390x.
  * Add NEWS.html.gz for Standards-Version 4.5.0.
    (Choosing not to also add NEWS.gz as it would be large.)
  * Tests: accept Hurd's errno and lack of multiprocessing.
  * Docs: replace embedded Javascript copies with links.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Jun 2020 21:47:22 +0100

pandas (1.0.4+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  (Closes: #962335)
  * Refresh patches, update contributors_list.
  * Fix broken tests.
  * Tests: allow numba to raise an error on 32 bit systems.
  * Don't test-depend on numba on armel (where it crashes,
    possibly #863508) or ppc64/riscv64 (where it isn't available).
  * Xfail some more HDF5 tests on big-endian architectures.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 09 Jun 2020 22:19:23 +0100

pandas (0.25.3+dfsg2-2) unstable; urgency=medium

  * Tests: don't fail on jedi deprecation warnings.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 07 May 2020 11:57:06 +0100

pandas (1.0.3+dfsg2-1) experimental; urgency=medium

  * Upstream bugfix release, update contributors_list.
  * Merge packaging from unstable,
    but omit no longer needed clipboard warn/xfail.
  * Only show the NaN -> datetime warning from float dtypes
    (to avoid an exception while trying to check).
  * Recommend numba, as we now have a recent enough version.
  * Re-add dask test-dependency.
  * Clarify non-x86 warnings, remove no longer needed xfails / ignores.
  * Clean up whitespace and patch names/descriptions.
  * Remove patches no longer needed.
  * Network tests: use more stable URLs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 06 May 2020 17:07:44 +0100

pandas (0.25.3+dfsg2-1) unstable; urgency=medium

  * Remove inconveniently licensed (CC-BY-SA) snippets.
  * Fix (harmless) SyntaxWarning on install.  (Closes: #956021)
  * Fix NaT sort order and test failures with numpy 1.18.
    (Closes: #958531)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 06 May 2020 12:18:23 +0100

pandas (0.25.3+dfsg-9) unstable; urgency=medium

  * Don't raise on import without matplotlib installed.  Add test of this.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 03 Apr 2020 21:56:02 +0100

pandas (0.25.3+dfsg-8) unstable; urgency=medium

  * Tests: don't fail on harmless changes in dependencies.  (Closes: #954647)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 02 Apr 2020 18:53:32 +0100

pandas (0.25.3+dfsg-7) unstable; urgency=medium

  * Fix another test failure due to our warnings.
  * Skip rather than xfail crashing tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Feb 2020 18:45:58 +0000

pandas (0.25.3+dfsg-6) unstable; urgency=medium

  * Don't fail tests on our own warnings.
  * Xfail some more HDF tests on non-x86 architectures.
  * Warn that clipboard I/O is broken on big-endian architectures
    and xfail test.
  * Use pytest-forked to isolate (already xfailed) crashing test.
  * Xfail tests that use no-longer-existing URLs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Feb 2020 07:40:25 +0000

pandas (0.25.3+dfsg-5) unstable; urgency=medium

  * Backport packaging from experimental:
    - Remove unnecessary test skips, and reorganize remaining ones.
    - Use xfails instead of skips.
    - Add warnings for the known non-x86 breakages
      (NaN -> datetime #877754, HDF and Stata I/O #877419).
    - Tell I/O tests where to find the source tree's test data
      instead of skipping them.
    - Stop using deprecated envvar/tag names.
    - Use https for links where available.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 24 Feb 2020 22:38:26 +0000

pandas (1.0.1+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.
  * Refresh patches.
  * Update and sort d/copyright, update contributors_list.
  * Re-enable checking the test suite.
  * Declare transition Breaks (see #950430).
  * Add jinja2 recommends/test-depends.
  * Fix test_to_numpy failure on big-endian systems.
  * Register documentation in doc-base.  (Closes: #879226)
  * Remove no longer needed test xfails/skips,
    and reorganize the remaining ones.
  * Tell I/O tests where to find the source tree's test data
    instead of skipping them.
  * Enable multiarch.
  * Temporarily drop dask test-dependency to avoid uninstallability.
  * Add warnings for the known non-x86 breakages
    (NaN -> datetime #877754, HDF and Stata I/O #877419).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 23 Feb 2020 17:13:08 +0000

pandas (1.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this is an API break (see #950430).
  * Drop patches applied upstream, refresh others.
  * Update and improve d/copyright, update contributors_list.
  * Xfail a test that fails in the C locale.
  * Update and organize depends/recommends.
  * Docs: use a sphinx theme we have, fix spelling,
    link to rather than embed remote resource,
    use https links where available.
  * Stop using deprecated envvar/tag names.
  * Xfail rather than skip previously broken tests,
    and put the condition in the patch not d/rules or d/tests.
  * Remove no longer used patch-stamp.
  * Temporarily ignore the test suite to get a first build.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 02 Feb 2020 21:04:36 +0000

pandas (0.25.3+dfsg-4) unstable; urgency=medium

  * No-change upload to unstable.  (Closes: #937236, #931557)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Nov 2019 16:35:41 +0000

pandas (0.25.3+dfsg-3) experimental; urgency=medium

  * Fix autopkgtest.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 10:29:47 +0000

pandas (0.25.3+dfsg-2) experimental; urgency=medium

  * Split up the test suite to fit in memory on mipsel,
    and stop ignoring it there.  (Closes: #943732)
  * Reproducibility: use correct path for stripping docs.
  * Declare transition Breaks (see #931557).
  * Tests: ignore warning from Python 3.8.
  * Update d/copyright (some files have moved).
  * Use local requirejs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Nov 2019 07:56:16 +0000

pandas (0.25.3+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.
  * Drop patch no longer needed.
  * Update autopkgtest dependencies, drop unused link.
  * Better document test skips, remove unnecessary ones.
  * Reproducibility: strip timestamps and build paths,
    use fixed random seeds for building documentation.
  * Ignore test suite on mipsel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Nov 2019 22:26:31 +0000

pandas (0.25.2+dfsg-2) experimental; urgency=medium

  * Correct path for contributors list, and don't fail when
    not building the -doc package.
  * Try again to fix test failure due to deb_nonversioneer_version.
  * Skip some failing tests on non-Intel (see #943732),
    require other tests to pass.
  * Fix another typo.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Oct 2019 22:06:10 +0000

pandas (0.25.2+dfsg-1) experimental; urgency=medium

  [ Graham Inggs ]
  * Skip python2 test_register_by_default on s390x
  * Fix python2 test failures in certain locales

  [ Yaroslav Halchenko ]
  * Recent upstream release
  * Updated patches
  * Adjusted for the gone ci/print_versions
  * d/control
    - added python{,3}-hypothesis to b-depends

  [ Rebecca N. Palmer ]
  * New upstream release.
  * Upload to experimental, as this is an API break (see #931557).
  * Drop patches fixed upstream, refresh others.
  * Remove Python 2 packages (see #937236).
  * Use Python 3 in shebangs and subprocess calls.
  * Re-enable building on Python 3.8.
  * Use the new location of print_versions.
  * Skip feather tests and remove build-dependency:
    they now need pyarrow.feather, which isn't in Debian.
  * Don't fail tests for our versioneer removal
    or a differently worded error message.
  * Add/update minimum dependency versions.
  * Add numpydoc, nbconvert and pytest-xdist build-depends.
  * Update d/copyright.
  * Pre-generate a contributor list to avoid needing the git log
    at build time (when it won't exist).
  * Allow tests to fail for now.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Oct 2019 07:53:21 +0000

pandas (0.23.3+dfsg-8) unstable; urgency=medium

  * Examples dependencies: re-add statsmodels and xarray;
    also add rpy2 and feather.
  * Use packaged intersphinx indexes.  (Closes: #876417)
  * Use https for intersphinx links.
  * Remove cythonized-files*.  (They are regenerated on each build.)
  * Remove test xfail, as statsmodels has now been fixed.
  * Set Rules-Requires-Root: no.
  * Make documentation Suggest the Python 3 version.
  * Suggest statsmodels.
  * Only use Python 3 sphinx, and mark it -Indep/nodoc.
  * Bump debhelper compat to 12 and use debhelper-compat and pybuild.
  * Remove pycompat and X-Python*-Version.
  * Add missing d/copyright item.
  * Remove obsolete TODOs.
  * Clarify descriptions.
  * Stop referring to examples that no longer exist.
  * Fix typos.
  * Remove old (no longer used) EXCLUDE_TESTS*.
  * Deduplicate documentation files.
  * Use Python 3 shebangs, and fix broken shebang.
  * Add python3-ipykernel, -ipywidgets, -seaborn to
    Build-Depends-Indep.
  * Disable dh_auto_test: it fails, and we run the tests elsewhere.
  * Mark test dependencies nocheck/nodoc.
  * Remove old minimum versions / alternative dependencies.
  * Build-depend on dh-python.
  * Don't build on python3.8, as it will fail tests (see #931557).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Oct 2019 11:38:37 +0000

pandas (0.23.3+dfsg-7) unstable; urgency=medium

  * Revert test patch and use an xfail instead.
  * Temporarily drop statsmodels+xarray Build-Depends, as they are
    uninstallable until this is built.
  * Add python3-xarray to autopkgtest Depends.
  * Drop Python 2 autopkgtest (but keep build-time test).
  * Remove duplicate Recommends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 20 Sep 2019 08:01:37 +0100

pandas (0.23.3+dfsg-6) unstable; urgency=medium

  * Team upload
  * Avoid FTBFS with statsmodels 0.9.0
  * Add python3-statsmodels to autopkgtest Depends

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Sep 2019 13:46:01 +0000

pandas (0.23.3+dfsg-5) unstable; urgency=medium

  * Team upload
  * Add locales-all to Build-Depends and autopkgtest Depends in order to
    consistently test in all avalable locales
  * Add crh_UA to skip_noencoding_locales.patch
  * Fix wrong debian/source/options exclude, thanks Steve Langasek

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Sep 2019 05:57:44 +0000

pandas (0.23.3+dfsg-4) unstable; urgency=medium

  * Add self to Uploaders.
  * Recommend .xls format support also in Python 3.  (Closes: #880125)
  * Tests: don't call fixtures, as this is an error in pytest 4+.
  * Don't test datetime in locales with no encoding.
    (These are broken by a Python stdlib bug.)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 14 Sep 2019 16:37:43 +0100

pandas (0.23.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make np.array @ Series act the right way round.  (Closes: #923708)
  * Replace #918206 fix with a fix that doesn't change the return type
    and inplace-ness of np.array += DataFrame.  (Closes: #923707)
  * Fix missing page in documentation.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 06 Mar 2019 22:19:34 +0000

pandas (0.23.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Don't fail the build on +dfsg versions.
  * Fix another d/copyright issue.
  * Add d/upstream/metadata.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Mar 2019 14:57:12 +0000

pandas (0.23.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix DataFrame @ np.array matrix multiplication.  (Closes: #918206)
  * Fix documentation build (Sphinx now defaults to Python 3).
    (Closes: #804552, LP: #1803018)
  * Add documentation examples dependencies.
  * Update d/copyright.
  * Remove unlicensed files.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 01 Mar 2019 23:02:18 +0000

pandas (0.23.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - many upstreamed patches are removed and others refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 28 Jul 2018 00:39:32 -0400

pandas (0.22.0-8) unstable; urgency=medium

  * Team Upload.
  * patches:
    + Add patch: deb_dont_call_py2_in_py3_test.patch
      During python3 unit test, command 'python' is called by one of
      the tests.  When there is no python2 installation, tests such as
      autopkgtest would fail.
    * Put the conditionally applied patch to series' comment to avoid
      lintianW: patch-file-present-but-not-mentioned-in-series.
  * Trying to fix the autopkgtest:
    + Leave a comment about the way to run unittest in the test control file.
    + Synchronize B-D and autopkgtest depends.
    + Allow output to stderr during test.
    * Switch from nosetest to pytest.
    * Synchronize pytest argument for rules and autopkgtest.
    - Replace tests/unittest with the symlink pointed to tests/unittest3.
      That scripts is smart enough to tell from py2 and py3, so we won't
      need to write the same thing twice.
    - Filter out intel tests on non-x86 architectures.
    - Only enable "slow" tests on (Debian + x86) tester. "slow" tests may
      consume too much memory to cause memory error or trigger OOM killer.
  * control:
    + Add missing python3 dependencies and sort the B-D list.
    * Point Vcs-* fields to Salsa.
    * Update Homepage to https://pandas.pydata.org/ .
  * rules:
    * Reverse the architecture filtering logic.
    * Disable "slow" tests during build for non-x86 architectures.
      This may significantly reduce the build time on those weak architectures.
    * Don't specify the pytest marker expression twice.
      The first expression will be overridden.
    * Fix hardening flags.
    - Cleanup the mess of unused nosetest exclusion expressions.
  * Update lintian overrides.
    + Override source-is-missing error, which is a false-positive triggered
      by insane-line-length-in-source-file.
    + Override insane-line-length-in-source-file because we have nothing
      todo with lenghy lines in html.
  * TODO: Point out that the unittest speed can be boosted with pytest-xdist.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 17 Jun 2018 16:01:16 +0000

pandas (0.22.0-7) unstable; urgency=medium

  * Team Upload.

  [ Mo Zhou ]
  * Remove patch: deb_fix_test_failure_test_basic_indexing, which is
    unneeded for pandas >= 0.21 . (Closes: #900061)

  [ Graham Inggs ]
  * Add riscv64 to the list of "not intel" architectures
  * Update mark_tests_working_on_intel_armhf.patch

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 May 2018 13:50:59 +0000

pandas (0.22.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with Sphinx 1.7, thanks Dmitry Shachnev!

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Apr 2018 19:09:20 +0000

pandas (0.22.0-5) unstable; urgency=medium

  * Team upload
  * Add compatibility with Matplotlib 2.2 (Closes: #896673)

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Apr 2018 13:56:12 +0000

pandas (0.22.0-4) unstable; urgency=medium

  * Team upload
  * Fix more tests expecting little-endian results
  * Fix heap corruption in read_csv on 32-bit, big-endian architectures
    (Closes: #895890)

 -- Graham Inggs <ginggs@debian.org>  Sun, 22 Apr 2018 21:48:27 +0000

pandas (0.22.0-3) unstable; urgency=medium

  * Team upload
  * Refresh and re-enable mark_tests_working_on_intel.patch
  * Fix test__get_dtype tests expecting little-endian results

 -- Graham Inggs <ginggs@debian.org>  Thu, 12 Apr 2018 11:04:21 +0000

pandas (0.22.0-2) unstable; urgency=medium

  * debian/patches
    - as upstream moved over to pytest from nose, no more nose imports were
      in the code. Just adjusted patches to import nose where needed
  * debian/rules
    - specify LC_ALL=C locale to avoid crash while building docs
    - add the 0001-TST-pytest-deprecation-warnings-GH17197-17253-reversed.patch
      to the series if building on a system with an old pytest

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 23:44:58 -0500

pandas (0.22.0-1) unstable; urgency=medium

  * Upstream release
  * debian/patches
    - refreshed many
    - updated some
    - added
      - up_moto_optional  to skip tests requiring moto (#777089)
      - deb_skip_difffailingtests to skip  two failing tests
        (see https://github.com/pandas-dev/pandas/issues/19774)
      - up_xlwt_optional to skip a test requiring xlwt
      - deb_ndsphinx_optional to make nbsphinx optional.
        Make nbsphinx not required in build-depends on systems with
        older python-sphinx
      - mark_tests_failing_on_386.patch
        see https://github.com/pandas-dev/pandas/issues/19814
    - removed adopted upstream:
  	  - dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch
      - up_tst_np_argsort_comparison2
    - disabled for now:
      - mark_tests_working_on_intel.patch
      - up_tst_dont_assert_that_a_bug_exists_in_numpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 10:30:06 -0500

pandas (0.20.3-11) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream commit 5f2b96bb637f6ddeec169c5ef8ad20013a03c853
    to workaround a numpy bug. (Closes: #884294)
    + patches/up_tst_dont_assert_that_a_bug_exists_in_numpy
  * Cherry-pick upstream commits to fix test failure caused by test_argsort().
    + patches/up_tst_np_argsort_comparison2
  * Workaround test failure of test_basic_indexing() in file
    pandas/tests/series/test_indexing.py .
    + patches/deb_fix_test_failure_test_basic_indexing

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 20 Jan 2018 09:00:31 +0000

pandas (0.20.3-10) unstable; urgency=medium

  * Team upload.
  * Exclude more tests failing on mips, armhf and powerpc

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 21:26:02 +0200

pandas (0.20.3-9) unstable; urgency=medium

  * Team upload.
  * Add missing "import pytest" to two patched tests
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 08:18:54 +0200

pandas (0.20.3-8) unstable; urgency=medium

  * Team upload.
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 21:32:24 +0200

pandas (0.20.3-7) unstable; urgency=medium

  * Team upload.
  * debhelper 9
  * Use Debian packaged mathjax
  * Do not Recommends python3-six since it is mentioned in Depends
  * Remove redundant/outdated XS-Testsuite: autopkgtest
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 17:33:55 +0200

pandas (0.20.3-6) unstable; urgency=medium

  * Team upload.
  * Ignore test errors on some architectures
    (Concerns bug #877419)
  * Remove __pycache__ remainings from testing
  * Standards-Version: 4.1.1
  * DEP3 for Google Analytics patch
  * Complete Google Analytics patch

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 09:05:27 +0200

pandas (0.20.3-5) unstable; urgency=medium

  * Make sure remainings of nose tests will not fail. That's a pretty stupid
    patch since the tests are not using nose any more only some remaining
    exceptions.  Hope it will work anyway.
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2017 21:57:45 +0200

pandas (0.20.3-4) unstable; urgency=medium

  * Mark those tests @pytest.mark.intel that pass only on Intel architectures
  * d/rules: try to exclude tests that were marked "intel"
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2017 19:49:01 +0200

pandas (0.20.3-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from pkg-exppsy to Debian Science
  * Exclude certain tests on certain architectures
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 20:52:53 +0200

pandas (0.20.3-2) unstable; urgency=medium

  * debian/control
    - boosted policy to 4.0.0 (I think we should be ok)
    - drop statsmodels from build-depends to altogether avoid the circular
      build-depends (Closes: #875805)
  * Diane Trout:
    - Add dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch (Closes: #875807)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Sep 2017 16:11:29 -0400

pandas (0.20.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - updated some, removed changeset*, and disabled possibly fixed upstream
      ones
  * debian/{control,rules}
    - upstream switched to use pytest instead of nose
    - enabled back all the tests for now
    - added python-nbsphinx for b-depends, needed for docs
  * debian/*.install
    - no .so at the first level of subdirectories, now present on the third

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jul 2017 20:00:59 -0400

pandas (0.19.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Rebecca N. Palmer
    Closes: #858260

 -- Andreas Tille <tille@debian.org>  Sun, 02 Apr 2017 07:06:36 +0200

pandas (0.19.2-5) unstable; urgency=medium

  * And one more test to skip on non-amd64 -- test_round_trip_valid_encodings

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 13:10:11 -0500

pandas (0.19.2-4) unstable; urgency=medium

  * Exclude few more "plotting" tests on non-amd64 which cause FTBFS
    on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 11:43:13 -0500

pandas (0.19.2-3) unstable; urgency=medium

  * Brought back changeset_0699c89882133a41c250abdac02796fec84512e8.diff
    which should resolve tests failures on BE platforms (wasn't yet
    upstreamed within 0.19.x releases)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 09:44:52 -0500

pandas (0.19.2-2) unstable; urgency=medium

  * Exclude a number of tests while running on non-amd64 platforms
    due to bugs in numpy/pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jan 2017 12:13:05 -0500

pandas (0.19.2-1) unstable; urgency=medium

  * Fresh upstream minor release -- supposed to be bugfix but interacts
    with current beta (1:1.12.0~b1-1) numpy leading to various failed tests
  * debian/patches
    - changeset_ae6a0a51cf41223394b7ef1038c210045d486cc8.diff
      to guarantee the same Series dtype as of cut regardless of architecture
    - up_buggy_overflows
      workaround for inconsistent overflows while doing pow operation on big
      ints
  * debian/rules
    - exclude more tests which are due to known issues in numpy beta and thus
      not to be addressed directly in pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 10:19:52 -0500

pandas (0.19.1+git174-g81a2f79-1) experimental; urgency=medium

  * New upstream snapshot from v0.19.0-174-g81a2f79
    - lots of bugfixes since 0.19.1, so decided to test snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Dec 2016 22:43:19 -0500

pandas (0.19.1-3) unstable; urgency=medium

  * Require cython >= 0.23 or otherwise use pre-cythoned sources
    (should resolve https://github.com/pandas-dev/pandas/issues/14699
    on jessie)
  * debian/control
    - Build-Conflicts with python-tables 3.3.0-4 since that one leads to FTBFS
    - boosted policy to 3.9.8
  * debian/rules
    - Exclude few more tests which fail on big endian and other platforms
      test_(msgpack|read_dta18)
  * debian/patches
    - changeset_0699c89882133a41c250abdac02796fec84512e8.diff
      to compare in the tests against native endianness

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Dec 2016 15:49:50 -0500

pandas (0.19.1-2) unstable; urgency=medium

  * debian/control
    - Moved statsmodels build-depend (optional) under build-depends-indep
      to break circular dependency.  Thanks Stuart Prescott for the analysis
  * debian/patches/
    - changeset_1309346c08945cd4764a549ec63cf51089634a45.diff
      to not mask problem reading json leading to use of undefined variable

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2016 21:49:40 -0500

pandas (0.19.1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 12:19:54 -0500

pandas (0.19.0+git14-ga40e185-1) unstable; urgency=medium

  * New upstream post-release (includes some bugfixes) snapshot
  * debian/patches
    - dropped changeset_ and up_ patches adopted upstream, refreshed the rest
  * debian/rules,patches
    - save debian-based version into __version.py, so doesn't conflict with
      upstream tests of public API
    - exclude for now test_expressions on python3
      (see https://github.com/pydata/pandas/issues/14269)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Oct 2016 10:26:18 -0400

pandas (0.18.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/
    - changeset_46af7cf0f8e0477f6cc7454aa786a573228f0ac3.diff
      to allow also AttributeError exception being thrown in the tests
      (Closes: #827938)
    - debian/patches/deb_skip_test_precision_i386
      removed (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jul 2016 10:42:00 -0400

pandas (0.18.0+git114-g6c692ae-1) unstable; urgency=medium

  * debian/control
    - added python{,3}-pkg-resources to direct Depends for the packages
      (Closes: #821076)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 20:49:25 -0400

pandas (0.17.1-3) unstable; urgency=medium

  * debian/tests/unittest*
    - set LC_ALL=C.UTF-8 for the tests run to prevent failure of test_set_locale

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Dec 2015 08:31:30 -0500

pandas (0.17.1-2) unstable; urgency=medium

  * debian/control
    - make -statsmodels and -tables optional build-depends on those platforms
      where they are N/A atm.  Added bdepends on python3-tables since available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 Dec 2015 12:58:26 -0500

pandas (0.17.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/rules
    - fixed deletion of moved away .so files

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:52:49 -0500

pandas (0.17.0+git8-gcac4ad2-2) unstable; urgency=medium

  * Bug fix: install also msgpack/*.so extensions to -lib packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Oct 2015 13:52:54 -0400

pandas (0.17.0+git8-gcac4ad2-1) unstable; urgency=medium

  * New upstream snapshot post release to pick up few bugfixes
    - Started to trigger failures of test_constructor_compound_dtypes and
      test_invalid_index_types -- disabled those for now, see
      https://github.com/pydata/pandas/issues/11169
  * debian/rules
    - Generate pandas/version.py if not present out of debian/changelog
      upstream version information (versioneer wouldn't know since relies on
      git)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Oct 2015 21:35:23 -0400

pandas (0.16.2+git65-g054821d-1) unstable; urgency=medium

  * Fresh upstream post-release snapshot (to pick up recent fixes etc)
    (Closes: #787432)
  * debian/{control,rules}
    - build -doc package (Closes: #660900)
    - add ipython (or alternative new ones from neurodebian) into
      Build-Depends-Indep to build docs
    - add python{,3}-{lxml,html5lib} to Build-Depends and Recommends
    - use LC_ALL=C.UTF-8 while running tests
    - exclude also test_set_locale since it fails ATM
      see https://github.com/pydata/pandas/issues/10471

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Jun 2015 17:26:54 -0400

pandas (0.16.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Mar 2015 14:21:39 -0400

pandas (0.15.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:51:57 -0500

pandas (0.15.1+git125-ge463818-1) unstable; urgency=medium

  * New upstream snapshot from v0.15.1-125-ge463818.
  * Upload to unstable during freeze since previous one in sid didn't make it
    to jessie anyways
  * debian/control
    - remove versioning demand for cython (it would use pre-cythonized code on
      older ones and there is no longer need in sid/jessie to enforce version).
      As a consecuence -- removed all dsc patches pointing to
      nocython3-dsc-patch, since no longer needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Nov 2014 21:09:36 -0500

pandas (0.15.0-2) unstable; urgency=medium

  * debian/control
    - specify minimal numpy to be 1.7
  * debian/patches
    - deb_skip_stata_on_bigendians   skip test_stata again on BE platforms
    - deb_skip_test_precision_i386   skip test_precision_conversion on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Oct 2014 23:09:13 -0400

pandas (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - restrict statsmodels and matplotlib from being required on the ports
      which do not have them

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Oct 2014 11:30:23 -0400

pandas (0.14.1-2) unstable; urgency=medium

  * debian/patches/changeset_314012d.diff
    - Fix converter test for MPL1.4 (Closes: #763709)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Oct 2014 11:53:42 -0400

pandas (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 23:38:49 -0400

pandas (0.14.0+git393-g959e3e4-1) UNRELEASED; urgency=medium

  * New upstream snapshot from v0.14.0-345-g8cd3dd6
  * debian/rules
    - disable running disabled tests to prevent clipboard tests failures
      under kfreebsd kernels

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 12:29:50 -0400

pandas (0.14.0+git213-g741b2fa-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0-213-g741b2fa.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Jun 2014 10:30:42 -0400

pandas (0.14.0+git17-g3849d5d-1) unstable; urgency=medium

  * New upstream snapshot from v0.14.0-17-g3849d5d -- has resolved a number
    of bugs sneaked into 0.14.0 release, and caused FTBFS on some platforms
    and backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Jun 2014 00:54:34 -0400

pandas (0.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 May 2014 08:45:35 -0400

pandas (0.14.0~rc1+git79-g1fa5dd4-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0rc1-73-g8793356
  * debian/patches:
    - dropped CPed changeset_*s
    - added deb_disable_googleanalytics
  * debian/control:
    - boosted policy compliance to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 May 2014 16:00:00 -0400

pandas (0.13.1-2) unstable; urgency=low

  * debian/patches/changeset_6d56e7300d66d3ba76684334bbb44b6cd0ea9f61.diff
    to fix FTBFS of statsmodels due to failing tests (Closes: #735804)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 08 Feb 2014 12:46:42 -0500

pandas (0.13.1-1) unstable; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_skip_test_pytables_failure to mitigate error while testing on
      amd64 wheezy and ubuntu 12.04

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Feb 2014 12:09:29 -0500

pandas (0.13.0+git464-g15a8ff7-1) experimental; urgency=low

  * Fresh pre-release snapshot
  * debian/patches
    - removed all cherry-picked patches (should have been upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Jan 2014 21:27:45 -0500

pandas (0.13.0-2) unstable; urgency=low

  * debian/patches
    - 0001-BLD-fix-cythonized-msgpack-extension-in-setup.py-GH5.patch
      to resolve issue with building C++ Cython extension using
      pre-generated sources
    - 0001-Add-division-future-import-everywhere.patch
      0002-remove-explicit-truediv-kwarg.patch
      to resolve compatibility issues with elderly Numexpr
    - 0001-BUG-Yahoo-finance-changed-ichart-url.-Fixed-here.patch
    - deb_skip_sequencelike_on_armel to prevent FTBFS on armel due to failing
      test: https://github.com/pydata/pandas/issues/4473

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jan 2014 23:13:48 -0500

pandas (0.13.0-1) unstable; urgency=low

  * Fresh upstream release
    - resolved compatibility with matplotlib 1.3 (Closes: #733848)
  * debian/{control,rules}
    - use xvfb (added to build-depends together with xauth, and xclip)
      for tests
    - define http*_proxy to prevent downloads
    - install .md files not .rst for docs -- were renamed upstream
    - include .cpp Cython generated files into debian/cythonized-files*

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jan 2014 18:08:22 -0500

pandas (0.12.0-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * DEP-8 tests improvements:
    - Use Xvfb for running tests.
    - Increase verbosity using -v flag.
    - Fix printing interpreter version in unittests3.
  * Fix indentaion in debian/control.

  [ Yaroslav Halchenko ]
  * debian/control
    - place python3-matplotlib ahead of elderly python-matplotlib without
      python3 support since now we have python3-matplotlib in sid
  * debian/copyright
    - go through reported missing copyright/license statements (Closes:
      #700564) Thanks Luca Falavigna for the report
  * debian/rules,patches
    - exclude test test_bar_log due to incompatibility with matplotlib 1.3.0 (test
      adjusted upstream and would be re-enabled for the new release).
    - debian/patches/changeset_952c5f0bc433622d21df20ed761ee4cb728370eb.diff
      adds matplotlib 1.3.0 compatibility

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Sep 2013 20:02:58 -0400

pandas (0.12.0-1) unstable; urgency=low

  * New upstream release:
    - should address failed tests on 32bit platforms
  * debian/patches
    - neurodebian: allow to build for jessie with outdated cython
  * debian/control
    - build for Python2 >= 2.7 due to some (probably temporary) incompatibilities
      in tests with 2.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Jul 2013 23:29:03 -0400

pandas (0.12.0~rc1+git127-gec8920a-1) experimental; urgency=low

  * New upstream snapshot from origin/master at v0.12.0rc1-127-gec8920a
    - should address FTBFS due to failing tests on big endians

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 20 Jul 2013 09:23:04 -0400

pandas (0.12.0~rc1+git112-gb79996c-1) experimental; urgency=low

  * Fresh git snapshot of upstream candidate release. Experimental build
    to verify functioning across the ports.
  * debian/control
    - dedented last "paragraph" to break it away from the 2nd one.
      Thanks Beatrice Torracca for the detailed report (Closes: #712260)
    - Depends on python-six now
  * debian/{,tests/}control
    - added python{,3}-bs4, python-html5lib to Build-Depends for more
      thorough testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 18 Jul 2013 13:15:19 -0400

pandas (0.11.0-2) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Upload to unstable -- this upstream release addressed Cython 0.19
    compatibility issue (Closes: #710608)
  * Recommends numexpr
  * Re-cythonized using Cython 0.19

  [ Dmitry Shachnev ]
  * debian/tests/unittests3: use nosetests3 instead of nosetests-3.x.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jun 2013 11:57:43 -0400

pandas (0.11.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Apr 2013 22:40:15 -0400

pandas (0.10.1-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2013 13:07:31 -0500

pandas (0.10.0-1) experimental; urgency=low

  * New upstream release
    - drops python 2.5 support (we are dropping pyversions in favor of
      X-Python-Version)
  * debian/patches:
    - all previous are in upstream now, dropped locally
    - added -dsc-patch'es for systems without cython3
  * debian/control:
    - added python-statsmodels for the extended tests coverage

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Dec 2012 12:27:25 -0500

pandas (0.9.1-2) unstable; urgency=low

  [ Julian Taylor ]
  * Provide python3 packages
  * Add autopkgtests
  * debian/patches:
    - relax-float-tests.patch:
      replace float equality tests with almost equal
    - fix-endian-tests.patch:
      patch from upstream to fix the test failure on big endian machines

  [ Yaroslav Halchenko ]
  * Upload to unstable
  * Dropping pysupport
  * debian/rules:
    - slight reduction of code duplication between python 2 and 3
    - cythonize for both python 2 and 3 into separate directories

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Dec 2012 22:57:47 -0500

pandas (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Boosted policy to 3.9.3 (no due changes)
  * debian/rules
    - Fixed up cleaning up of cythonized files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Nov 2012 09:44:14 -0500

pandas (0.9.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Oct 2012 21:26:23 -0400

pandas (0.9.0~rc2-1) experimental; urgency=low

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Sep 2012 10:27:52 -0400

pandas (0.8.1-1) unstable; urgency=low

  * Primarily a bugfix upstream release.
  * up_tag_yahoo_test_requiring_network patch removed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 20:13:16 -0400

pandas (0.8.0-2) unstable; urgency=medium

  * up_tag_yahoo_test_requiring_network patch cherry-picked from upstream
    GIT so that tests would not be excercised at package build time
    (Closes: #681449)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Jul 2012 08:54:41 -0400

pandas (0.8.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - drop python-statsmodels from Build-Depends since it might not be yet
      available on some architectures and is not critical for the test
    - recommend python-statsmodels instead of deprecated
      python-scikits.statsmodels

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 13:02:28 -0400

pandas (0.8.0~rc2+git26-g76c6351-1) experimental; urgency=low

  * Fresh upstream release candidate
    - all patches dropped (upstreamed)
    - requires numpy >= 1.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jun 2012 13:23:27 -0400

pandas (0.7.3-1) unstable; urgency=low

  * Fresh upstream release
    - few post-release patches (submitted upstream) to exclude unittests
  	  requiring network access
  * debian/control:
    - python-openpyxl, python-xlwt, python-xlrd into Build-Depends
      and Recommends
  * debian/rules:
    - exclude running tests marked with @network

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2012 11:27:31 -0400

pandas (0.7.1+git1-ga2e86c2-1) unstable; urgency=low

  * New upstream release with a bugfix which followed

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Mar 2012 22:28:10 -0500

pandas (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Updated pre-cythoned .c files for older Debian/Ubuntu releases.
    Added a stamp file with upstream version to assure up-to-dateness
    of the generated files
  * Dropped all exclusions of unittests and patches -- shouldn't be necessary
    any longer
  * Build only for requested versions (not all supported) of Python
  * Do nothing for build operation, rely on overloaded install
    (to avoid undesired re-cythonization on elderly Ubuntus)
  * Adjusted url in watch due to migration of repository under pydata
    organization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 19:31:50 -0500

pandas (0.6.1-1) UNRELEASED; urgency=low

  * New upstream release
  * python-tk into Build-Depends
  * Create matplotlibrc with backend: Agg to allow tests run without $DISPLAY
  * Carry pre-cythonized .c files for systems with older Cython
  * Skip few tests known to fail

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Dec 2011 18:36:11 -0500

pandas (0.5.0+git7-gcf32be2-1) unstable; urgency=low

  * New upstream release with post-release fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Nov 2011 21:15:06 -0400

pandas (0.4.3-1) unstable; urgency=low

  * New upstream release(s): primarily bugfixes and optimizations but also
    with some minor API changes and new functionality
  * Adjusted debian/watch to match new layout on github

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Oct 2011 11:27:50 -0400

pandas (0.4.1-1) unstable; urgency=low

  * New upstream bugfix release
    - incorporated all debian/patches
  * debian/rules: 'clean' removes generated pandas/version.py
  * debian/copyright: adjusted to become DEP-5 compliant

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 25 Sep 2011 21:48:30 -0400

pandas (0.4.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #641464)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Sep 2011 12:24:05 -0400
